Elements 2004 installer requires Internet Explorer 4, I have Internet Explorer 11 and program will not install.

  • 2
  • Problem
  • Updated 3 years ago
  • (Edited)
I am trying to install Photoshop Elements, bought about 2004, onto my computer with Windows 7 Professional and am stopped with a message * I must have greater than Explorer 4* to install.
I operate with Internet Explorer 11 installed. How can I resolve this matter. Can you also change my details from "tundoo@msn.com" to tundoo2@outlook.com. There were E-mail problems some years ago and I had to change, I'm surprised msn.com is still operating for E-mails.
Photo of James Thompson

James Thompson

  • 1 Post
  • 0 Reply Likes

Posted 3 years ago

  • 2

Be the first to post a reply!